﻿using CarServiceContracts.BindingModels;
using DocumentFormat.OpenXml.Spreadsheet;
using Microsoft.Extensions.Logging;

namespace CarServiceBusinessLogic.MailWorker
{
	public abstract class AbstractMailWorker
	{
		protected string _mailLogin = string.Empty;
		protected string _mailPassword = string.Empty;
		protected string _smtpClientHost = string.Empty;
		protected int _smtpClientPort;
		private readonly ILogger _logger;
		public AbstractMailWorker(ILogger<AbstractMailWorker> logger)
		{
			_logger = logger;
			_mailLogin = "igors20111@gmail.com";
			_mailPassword = "xzjt gzal aoek rjmp";
			_smtpClientHost = "smtp.gmail.com";
			_smtpClientPort = 465;
			_logger.LogDebug("Config: {login}, {password}, {clientHost}, {clientPort}", _mailLogin, _mailPassword, _smtpClientHost, _smtpClientPort);
		}
		public void MailSend(MailSendInfoBindingModel info)
		{
			if (string.IsNullOrEmpty(_mailLogin) || string.IsNullOrEmpty(_mailPassword))
			{
				return;
			}
			if (string.IsNullOrEmpty(_smtpClientHost) || _smtpClientPort == 0)
			{
				return;
			}
			if (string.IsNullOrEmpty(info.MailAddress))
			{
				return;
			}
			_logger.LogDebug("Send Mail: {To}, {Subject}", info.MailAddress, info.Subject);
			SendMail(info);
		}
		protected abstract void SendMail(MailSendInfoBindingModel info);
	}
}
