﻿using Microsoft.Extensions.Logging;
using System.Net;
using MimeKit;
using CarServiceContracts.BindingModels;

namespace CarServiceBusinessLogic.MailWorker
{
	public class MailKitWorker : AbstractMailWorker
	{
		public MailKitWorker(ILogger<MailKitWorker> logger) : base(logger) { }
		protected override void SendMail(MailSendInfoBindingModel info)
		{
			using var message = new MimeMessage();
			using var smtpClient = new MailKit.Net.Smtp.SmtpClient();
			smtpClient.Connect(_smtpClientHost, 465, true);
			smtpClient.Authenticate(new NetworkCredential(_mailLogin, _mailPassword));

			try
			{
				var builder = new BodyBuilder();
				builder.Attachments.Add("C:\\Users\\igors\\source\\repos\\ISEbd-21_Melnikov_I.O._CarService\\CarService\\CarServiceWebApp\\Files\\ReportPdf.pdf");
				message.Body = builder.ToMessageBody();
				message.From.Add (new MailboxAddress("СТО Руки-крюки", _mailLogin));
				message.To.Add(new MailboxAddress("igors_2011", "igors-2011@mail.ru"));
				message.Subject = info.Subject;
				smtpClient.Send(message);
			}
			catch (Exception)
			{
				throw;
			}
		}
	}
}
