﻿using CarServiceContracts.BindingModels;
using CarServiceContracts.Models;
using CarServiceContracts.SearchModels;
using CarServiceContracts.ViewModels;

namespace CarServiceContracts.StorageContracts
{
	public interface IItemStorage
	{
		List<ItemViewModel> GetFullList();
		List<ItemViewModel> GetFilteredList(ItemSearchModel model);
		ItemViewModel? GetElement(ItemSearchModel model);
		ItemViewModel? Insert(ItemBindingModel model);
		ItemViewModel? Update(ItemBindingModel model);
		ItemViewModel? Delete(ItemBindingModel model);
		ItemViewModel? UpdateCount(IItemModel? model, int count);
	}
}
